/*
 * Copyright (c) 2012 CNRS/LAAS
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/**
 ** supported gyrometer types
 **
 ** This file is meant to be parseable by Genom (version 2).
 ** don't add any extra definitions to it
 **
 ** /!\ This file stay synchronized with gyroTypes.idl (for Genom 3)
 **/
#ifndef _GYRO_TYPES_H
#define _GYRO_TYPES_H

typedef enum GYRO_TYPE {
	GYRO_UNKNOWN,
	GYRO_KVH_ECORE_1000,
	GYRO_KVH_DSP_5000,
	GYRO_KVH_DSP_3000
} GYRO_TYPE;

#endif /* _GYRO_TYPES_H */
